extends layout

append stylesheets
append scripts
    script var role = !{JSON.stringify(role).replace(/<\//g, "<\\/")}
    script var allTotalRequests = !{JSON.stringify(allRequests).replace(/<\//g, "<\\/")}
    script var allRegions = !{JSON.stringify(allRegions).replace(/<\//g, "<\\/")}
    script var allProvinces = !{JSON.stringify(allProvinces).replace(/<\//g, "<\\/")}
    script var allCities = !{JSON.stringify(allCities).replace(/<\//g, "<\\/")}
    script(src='/xlsx/dist/xlsx.full.min.js')
    script(src='js/models/Request.js')
    script(src='js/page_scripts/ps_approval.js')

block content
    //- Header
    +header-with-buttons('approval')
        li
            a(data-bind='click:approveSelectedRequests') Approve Selected Request(s)
        li
            a(data-bind='click:exportRequestsAsXls') Export to Excel
        li.divider
        li
            a(data-bind='click:deleteSelectedRequests') Delete
    //- Table Content 
    div.section
        +requests-table
    
    +floating-action-btn('approval')
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:approveSelectedRequests' data-position='top' data-tooltip='Approve Selected Requests')
            i.material-icons thumb_up
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:exportRequestsAsXls' data-position='top' data-tooltip='Export to Excel')
            i.material-icons file_download
        li
          a.btn-floating.tooltipped.teal.lighten-2.sidenav-trigger(data-target='filter-sidenav-slideout' data-position='top' data-tooltip='Toggle Filter')
            i.material-icons filter_list
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:deleteSelectedRequests' data-position='top' data-tooltip='Delete Selected Requests')
            i.material-icons delete

    div#request-details-modal.modal.modal-fixed-footer
        div.modal-content(data-bind='using:selectedRequest') 
            h5 Request Details
            div.divider
            div.row 
                ul.tabs.teal.lighten-4
                    li.tab.col.s6 
                        a.active.teal.white-text(href='#beneficiary-tab') Institution
                    li.tab.col.s6 
                        a.teal.white-text(href='#request-tab') Request
            div#beneficiary-tab.col.s12
                //- Institution tab
                div.row
                    div.input-field.col.s12
                        i.material-icons.prefix local_hospital
                        label Institution Name      
                        input#details-beneficiary-name(type='text' data-bind='value:Name')
                div.row
                    div.input-field.col.s12.l6 
                        input#details-beneficiary-contact-person(type='text' data-bind='value:ContactPerson' autocomplete='off')
                        label(for='details-beneficiary-contact-person') Contact Person
                    div.input-field.col.s12.l6
                        input#details-beneficiary-contact-number(type='text' data-bind='value:ContactNumber' autocomplete='off' maxlength=50)
                        label(for='details-beneficiary-contact-number') Contact Number
                div.row
                    div.input-field.col.s12.l4
                        select#details-beneficiary-type(data-bind='value:Type')
                            option(value='' disabled selected) -- Choose -- 
                            option(value='Public') Public
                            option(value='Private') Private
                        label(for='details-beneficiary-type') Type
                    div.input-field.col.s12.l4
                        select#details-beneficiary-classification(data-bind='value:Classification')
                            option(value='' disabled selected) -- Choose -- 
                            option(value='LGU') LGU
                            option(value='RHU') RHU
                            option(value='NGO') NGO
                            option(value='Hospital') Hospital
                            option(value='Funeral Parlor') Funeral Parlor
                            option(value='Health Facility') Health Facility 
                            option(value='Government Agency') Government Agency
                        label(for='details-beneficiary-classification') Classification
                    div.input-field.col.s12.l4
                        input#details-beneficiary-designation(type='text' autocomplete='off' data-bind='value:Designation')
                        label(for='details-beneficiary-designation') Designation
                div.row
                    div.input-field.col.s12
                        input#details-location.validate(type='text' data-bind='value:Location()+", "+RegionName()' disabled)
                        label(for='details-location') Location
            div#request-tab.col.s12
                //- Request Tab 
                div.row
                    div.input-field.col.s12.l4 
                        select#details-request-type(data-bind='value:RequestType')
                            option(value='' disabled) -- Choose -- 
                            option(value='P') PPE(s)
                            option(value='T') Medical Supplies
                        label(for='details-request-type') Request Type
                    div.input-field.col.s12.l4
                        input#details-request-allocation(type='number' data-bind='value:Allocation')
                        label(for='details-request-allocation') Allocation
                    div.input-field.col.s12.l4
                        input#details-request-receiver(type='text' data-bind='value:Receiver')
                        label(for='details-request-receiver') Receiver
                div.row
                    div.input-field.col.s12
                        textarea#details-request-requests.materialize-textarea(data-bind='value:Requests')
                        label(for='details-request-requests') Requests
                div.row
                    div.input-field.col.s12
                        textarea#details-request-remarks.materialize-textarea(data-bind='value:Remarks')
                        label(for='details-request-remarks') Remarks
                    
        div.modal-footer.bottom
            a.btn.waves-effect.waves-light.left(data-bind='click:approveRequest') APPROVE REQUEST
            | &nbsp;&nbsp;
            a.btn.waves-effect.waves-light(data-bind='click:confirmSaveChanges') SAVE CHANGES
            | &nbsp;&nbsp;
            a.modal-close.waves-effect.waves-green.btn-flat(href='') CLOSE